Issue 87582

Summary: Problem with Toolbar in Database Browser - integrated
Product: Base Reporter: Mechtilde <mechtilde>
Component: codeAssignee: marc.neumann
Status: CLOSED FIXED QA Contact: issues@dba <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: DEV300m4Keywords: oooqa, regression, usability
Target Milestone: OOo 3.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 87736    

Description Mechtilde 2008-03-29 10:31:28 UTC
I open an existing database file.

Whether I choose forms or reports I see both toolbars.

They have similar icons so "user" can mix up them.

I expect to see only the toolbar I need
Comment 1 Mechtilde 2008-03-29 10:34:55 UTC
it works in 2.4.0 -> so it is a regression
Comment 2 Mechtilde 2008-04-09 17:05:35 UTC
if I choose queries I see 3 toolbars
Comment 3 Mechtilde 2008-04-11 10:36:52 UTC
If you don't activate the extended tooltips you can't distinguish the the
different icons.

The tooltip tell every time the same like "Open Database Object". It is the same
if you want to choose a query, a form or a report.

More I see the problem, I think it is a problem of the user interface.

I f you change e.g from forms to Queries. The toolbar of the forms isn't
deleleted or replaced bei the tollbar of queries. so the toolbar of queries is
added. 
Comment 4 Frank Schönheit 2008-04-11 19:06:54 UTC
Let's be serious about the priority, please :)
Comment 5 ocke.janssen 2008-04-17 14:50:36 UTC
The regression was introduced with issue 49133.
Comment 6 ocke.janssen 2008-04-17 14:57:38 UTC
Fixed in cws dba30c
Comment 7 marc.neumann 2008-04-25 12:04:38 UTC
verified in cws dba30beta1
Comment 8 marc.neumann 2008-04-25 12:06:22 UTC
reassign to msc
Comment 9 marc.neumann 2008-04-28 12:17:43 UTC
FYI: an automatic test for this case can't be written
Comment 10 uwe.luebbers 2008-04-29 16:51:19 UTC
added "integrated" to the title, to make it easier to work with the meta issue
Comment 11 Mechtilde 2008-05-13 14:29:28 UTC
verified in Beta3.0

-> closed